Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbAssociationOverride

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbAssociationOverride

    public class JaxbAssociationOverride

extends Object

Field Summary
`protected String` | `description`
`protected List<JaxbJoinColumn>` | `joinColumn`
`protected JaxbJoinTable` | `joinTable`
`protected String` | `name`

Constructor Summary
`JaxbAssociationOverride()`

Method Summary
`String` | `getDescription()` Gets the value of the description property.
`List<JaxbJoinColumn>` | `getJoinColumn()` Gets the value of the joinColumn property.
`JaxbJoinTable` | `getJoinTable()` Gets the value of the joinTable property.
`String` | `getName()` Gets the value of the name property.
`void` | `setDescription(String value)` Sets the value of the description property.
`void` | `setJoinTable(JaxbJoinTable value)` Sets the value of the joinTable property.
`void` | `setName(String value)` Sets the value of the name property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    protected String description

### joinColumn

    protected List<JaxbJoinColumn> joinColumn

### joinTable

    protected JaxbJoinTable joinTable

### name

    protected String name

Constructor Detail

### JaxbAssociationOverride

    public JaxbAssociationOverride()

Method Detail

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getJoinColumn

    public List<JaxbJoinColumn> getJoinColumn()

  Gets the value of the joinColumn property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the joinColumn property.

  For example, to add a new item, do as follows:

          getJoinColumn().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbJoinColumn`

### getJoinTable

    public JaxbJoinTable getJoinTable()

  Gets the value of the joinTable property.

  Returns:
    possible object is `JaxbJoinTable`

### setJoinTable

    public void setJoinTable(JaxbJoinTable value)

  Sets the value of the joinTable property.

  Parameters:
    `value` - allowed object is `JaxbJoinTable`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.